Summary:	Game data for Glest
Name:		glest-data
Version:	3.1.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Games/Strategy
URL:		http://www.glest.org/
Source0:	http://downloads.sourceforge.net/glest/glest_data_%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	recode
BuildArch:	noarch

%description
Glest is a 3d OpenGL real time strategy game. It takes place in a 
context which could be compared to that of the pre-renaissance 
Europe, with the licence that magic forces exist in the environment 
and can be controlled.

This package contains the architecture independent data files needed
for playing the game.

%prep
%setup -q -n glest_game

# fix endings
find docs -type f | xargs sed -i -e "s/\r//g"
# UTF-8
recode ISO-8859-1..UTF-8 docs/*.txt
mv data/lang/espa?ol.lng data/lang/espanol.lng

%build
# nothing to do here

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_gamesdatadir}/glest
cp -fr * %{buildroot}%{_gamesdatadir}/glest/
rm -fr  %{buildroot}%{_gamesdatadir}/glest/docs
rm -f %{buildroot}%{_gamesdatadir}/glest/glest.ini

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc docs/*
%{_gamesdatadir}/glest/


%changelog
* Mon Mar 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.2-1mdv2008.1
+ Revision: 183192
- new version

* Sat Mar 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.1-1mdv2008.1
+ Revision: 177055
- new version

* Sat Dec 29 2007 Austin Acton <austin@mandriva.org> 2.0.1-3mdv2008.1
+ Revision: 139371
- remove bad ini file

* Sat Dec 29 2007 Austin Acton <austin@mandriva.org> 2.0.1-2mdv2008.1
+ Revision: 139350
- oops
- simplify install to avoid missing files

* Sat Dec 29 2007 Austin Acton <austin@mandriva.org> 2.0.1-1mdv2008.1
+ Revision: 139344
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.0.0-1mdv2008.1
+ Revision: 125770
- kill re-definition of %%buildroot on Pixel's request

